Kakao i Connect Message::BizMessage(ENG)::BizMessage API::API Reference::Brand Message

페이지 이동경로

Brand Message

Brand messages are meant to send advertising messages through Kakao Talk, which, unlike notification messages, can be sent to users who have added marketing acceptance (KakaoTalk Acceptance) or Kakao Talk friends. Brand messages are sent based on channel friend or phone number information, and not all messages are sent to registered phone numbers, but only to users who have agreed to receive marketing or added Kakao Talk channels due to service policy. For more information, please refer to the brand message sending API document.

Sending Brand Message

The Brand message sending API is as follows.

Request

API Method
Method Requedst URL
POST https://{base_url}/v2/send/kakao/ftupgrade

Request Element

The brand Message sending Request Elements
Property Type Required Description
cid text(50) Y User define Message Message ID
message_type String Y Message Type
U_FT : Brand message text
U_FI : Brand message image
U_FW : Brand message wide image
U_FL : Brand message wide list
U_FC : Brand message carousal feed
U_FP : Brand message premium video
U_FM : Brand message commerce
U_FA : Brand message carousal commerce
sender_key text(40) Y Sender profile key
sender_no String Y Sender number
phone_number text(16) Y Receive number
fall_back_yn String Y Whether to send alternative message
true : to use
false : not to user
fall_back_message_type String Message type of alternative message
SM : SMS
LM : LMS
* Required value when used
fall_back_title String Title of alternative message
fall_back_message String Texts to be included in alternative message
* Required value when used
message text(1,300) Texts of brand message freestyle
Brand message basic type and static type (Use when upgrade_tp is a BM)

Not available with upgrade_tp BV(default variable isolating)
Up to 99 lines
template_code text(100) Brand message templage code
- Basic upgrade_tp(BN, BV, BM) required
- Not available with upgrade_tp FN, FY(freeform)
targeting String Receive target (Support for basic type usage)
- M : Target for users of marketing reception agreements
- N : marketing reception agreements – Channel friends
- I : Channel friends among request for dispatch
- F : Send channel-wide friends to

Not abailable with upgrade_tp FN, FY(freeform)
- 25.07.29 Freeform support planned
push_alarm String Message push alarm sent
group_tag_key String Group tag key
adult String Message for adults
svatbo_no String Special Value-Added Telecommunications Business Operator Code
button List<Button> Freeform button
upgrade_tp BM(Basic static type) button static
coupon FtCoupon Brand message coupon
- Upgrade_tp BV(Basic variables detachable) when not in use
commerce FtCommerce Brand message commerce
- Upgrade_tp BV(Basic variables detachable) when not in use
image Image Brand message image
- upgrade_tp BV(Basic variables detachable) when not in use
video FtVideo Brand message video
- Upgrade_tp BV(Basic variables detachable) when not in use
additional_content String Additional Information
COMMERCE – Up to 34 characters (Up to 1 lines)
header text(20) Required for U_FL use
Up to 20 characters
item FtItem Wide lise (At least 3, Up to 4)
head Head Carousel intro
Use when message_type is U_FA
- Upgrade_tp BV(Basic variations detachable(Custom parameter template)) when not in use
tail Tail Carousel add-view button
Use when message_type is U_FA
- upgrade_tp BV(Basic variations detachable(Custom parameter template)) when not in use
carousel List<CarouselList> Carousel list
Use when message_type is U_FA
- Use when carousel intro at least 1, Up to 5
- Up to 1 and up to 6 when not in use

- upgrade_tp BV(Basic variations detachable(Custom parameter template)) when not in use
upgrade_tp String O Brand message department
- BN : Basic variable not used
- BV : Basic variable detachable
- BM : Basic static type
- FY : Freeform friend talk compatible
- FN : Freeform friend talk incompatible
tax_cd1 text(50) Settlement code 1
- User define column (Settlement correspond)
tax_cd2 text(50) Settlement code 2
- User define column (Settlement correspond)
client_api_poll_yn String Customer → Variables for polling processing between DKT
- Y : Use
message_variable Map<String, String> upgrade_tp BV(Basic variables detachable) when use
- Message body variables
button_variable Map<String, String> upgrade_tp BV(Basic variables detachable) when use
- Button variables
commerce_variable Map<String, String> upgrade_tp BV(Basic variables detachable) when use
- Commerce variables
coupon_variable Map<String, String> upgrade_tp BV(Basic variables detachable) when use
- Coupon variables
video_variable Map<String, String> upgrade_tp BV(Basic variables detachable) when use
- Video variables
carousel_variable List<UpCarouselList> upgrade_tp BV(Basic variables detachable) when use
- Carousel variables
image_variable String upgrade_tp BV(Basic variables detachable) when use
- Image variables
svatbo_no text(9) Y Parameter used for Special Value-Added Telecommunications Business Operator Code
- Entered Special Value-Added Telecommunications Business Operator Code
- Reseller classification code to be delivered to KISA
- Use to process brand and text message fall-back
unsubscribe_phone_number text(13) Free rejection phone number
- Both unsubscribe_phone_number and unsubscribe_auth_number are sent as free denial-of-reception information registered in the outgoing profile when not entered.
ex) 080-1234-1234
unsubscribe_auth_number text(10) Free rejection authentication number
-- Both unsubscribe_phone_number and unsubscribe_auth_number are sent as free denial-of-reception information registered in the outgoing profile when not entered.
- unsubscribe_auth_number only can’t be entered without unsubscribe_phone_number
ex) 1234

Button Request Elements Common property request elements whithin brand message request are as follow

Property Type Required Description
name String O Button title
type String O Button type
scheme_android String Run on click in Android environment application custom scheme
scheme_ios String Run on click in IOS environment application custom scheme
url_mobile String URL to move when clicked in MOBILE environment
url_pc String URL to move when clicked in PC environment
chat_extra String Consultant talk ↔ metal information to be delivered when converting Kakaotalk chatbot
chat_event String Name of the Kakaotalk chatbot event to be connected when converting the Kakaotalk chatbot
biz_form_key String Bussinessform key

코드예제Example of sending brand message(freeform) text type (U_FT)

{
  "cid":"TEST-202502171928-0014",
  "fall_back_yn":false,
  "sender_key":"[Sender profile key]",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FT",
  "sender_no":"[Sender phone number]",
  "upgrade_tp" : "FY",
  "message" : "Brand message FY type send test",
  "button": [
    {"name":"app link button","type":"AL","scheme_android":"https://kakao.com",
      "scheme_ios":"https://kakao.com","url_mobile":"https://kakao.com"},
    {"name":" web link button ","type":"WL","url_mobile":"http://kakao.com"}
  ],
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) text(U_FT) and static type (BM type)

{
  "cid":"[CID]",
  "fall_back_yn":false,
  "sender_key":"[Sender profile key]",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FT",
  "upgrade_tp": "BM",
  "sender_no":"[Sender phone number]",
  "template_code" : "[template_code]",
  "message" : "Brand message FY type send test",
  "targeting" : "N",
  "message": "Brand message \n body contents\n",
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) text (U_FT) and variable detachable type (BV type)

{
  "cid":"[CID]",
  "fall_back_yn":false,
  "sender_key":"[sender profile key]",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FT",
  "upgrade_tp": "BV",
  "sender_no":"[Sender phone number]",
  "template_code" : "[template_code]",
  "message_variable" : {"body": " Brand message BV type send test "},
  "targeting" : "N",
  "client_api_poll_yn": "Y"
}

Image Request Elements Image Property Request Elements within brand message request are as follows.

Property Type Required Description
img_url text O Image URL registered with image upload API
img_link text(1000) URL to move when clicking on the image
If not set, use the image viewer in Kakaotalk

코드예제Example of sending brand message(Freeform) image type (U_FI)

{
  "cid":"TEST-202502171928-0015-FN",
  "fall_back_yn":false,
  "sender_key":"[Sender profile key]",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FI",
  "sender_no":"[Sender phone number]",
  "upgrade_tp" : "FY",
  "message" : "MSG_TYPE : U_FI\nUPGRADE_TP:FN\n Send test",
  "button": [
    {"name":"app link button","type":"AL","scheme_android":"https://kakao.com",
      "scheme_ios":"https://kakao.com",
      "url_mobile":"https://kakao.com"},
    {"name":"web link button","type":"WL","url_mobile":"http://kakao.com"}
  ],
  "image":{
    "img_url":"https://mud-kage.kakao.com/dn/yCcKz/btsK15n8p6T/5LCu3yqzjzEgY0wk8POhTk/img_l.jpg",               "img_link":"https://google.com"},
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Freeform) wide image type (U_FW)

{
  "cid":"TEST-202502171928-0019-FN",
  "fall_back_yn":false,
  "sender_key":"[Sender profile key]",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FW",
  "sender_no":"[Sender phone number]",
  "upgrade_tp" : "FN",
  "message" : "MSG_TYPE : U_FW UPGRADE_TP:FN Send test",
  "image":{
    "img_url":"https://mud-kage.kakao.com/dn/c0In8v/btsHt1XNqdN/H7Ee9ajYyFN2oRnEYKLXnk/img_l.jpg",
    "img_link":"https://google.com"
  },
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) wide image (U_FW) and variables detachable type (BV type)

{
  "cid" : "UP-202502211629-00004",
  "sender_key": "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BV",
  "phone_number":"[Receive phone number]",
  "sender_no": "[Sender phone number]",
  "message_type": "U_FI",
  "message_variable":{"name":"static type"},
  "button_variable":{"mobile link ":"www.daum.net"},
  "template_code": "19315d723ad68089985c02d904b0c0d424d5c5dc",
  "targeting":"I",
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) image (U_FI) and static type (BM type)

{
  "cid" : "UP-202502211634-00005",
  "sender_key": "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BM",
  "phone_number":"[Receive phone number]",
  "sender_no": "[Sender phone number]",
  "message_type": "U_FI",
  "message" : "[test]\n static type \n This is brand message (Basic) image test. ",
  "button" :[ { "type":"WL"} ,{"type":"WL","url_mobile":"https://daum.net"} ],
  "template_code": "19315d723ad68089985c02d904b0c0d424d5c5dc",
  "targeting":"I"
}

코드예제Example of sending brand message(Basic) image (U_FI) and variables detachable type (BV type)

{
  "cid" : "[CID]",
  "sender_key": "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BV",
  "phone_number":"[Receive phone number]",
  "sender_no": "[Sender phone number]",
  "message_type": "U_FI",
  "message_variable":{"name":"static"},
  "button_variable":{"mobile link":"www.daum.net"},
  "template_code": "[template code]",
  "targeting":"I",
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) wide image (U_FW) and variables static type (BM type)

{
  "cid" : "UP-202502211629-00004",
  "sender_key": "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BM",
  "phone_number":"[Receive phone number]",
  "sender_no": "[Sender phone number]",
  "message_type": "U_FW",
  "message_variable":{"name":"static"},
  "button_variable":{"mobile link":"www.daum.net"},
  "template_code": "[template code]",
  "targeting":"I",
  "client_api_poll_yn": "Y",
  "copon":{"title":"A discount coupon for 10 won.",
    "url_pc":"https://daum.net/test1",
    "url_mobile":"https://daum.net/test2"
  }
}

Commerce Request Elements The commerce property request elements within the brand message request are as follows.

Property Type Required Description
title String Y Product title
Up to 30 characters (A change of line : impossibility)
regular_price Int Y A normal price (0 ~ 99,999,999)
discount_price Int Discounted price (0 ~ 99,999,999)
discount_rate Int Discount rate (0 ~ 100)
If there is a discount price, one of the discount rates and flat-rate discount prices is required.
discount_fixed Int A flat-rate discount (0 ~ 999,999)
If there is a discount price, one of the discount rates and flat-rate discount prices is required.

코드예제Example of sending brand message(Freeform) commerce type(U_FM)

{
  "cid":"U_FA-202502171928-0050-FN",
  "message_type": "U_FM",
  "sender_key":"[Sender profile key]",
  "phone_number":"[Receive phone number]",
  "fall_back_yn":false,
  "upgrade_tp" : "FY",
  "sender_no" :"[Sender phone number]",
  "message": "Brand message U_FM commerce",
  "button": [{"type": "MD", "name": "message body"}],
  "commerce" : {
    "title": "Brand message title",
    "regular_price": 100000,
    "discount_price": 90000,
    "discount_rate": 10,
    "discount_fixed": 90000
  },
  "image":{
    "img_url":"https://mud-kage.kakao.com/dn/c0In8v/btsHt1XNqdN/H7Ee9ajYyFN2oRnEYKLXnk/img_l.jpg"
  },
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) commerce (U_FM) and variations detachable(Custom parameter template) type (BV type)

{
  "cid":"U_FA-202502171928-0050-FN",
  "message_type": "U_FM",
  "sender_key":"[Sender profile key]",
  "phone_number":"[Receive phone number]",
  "fall_back_yn":false,
  "upgrade_tp" : "FY",
  "sender_no" :"[Sender phone number]",
  "message": "Brand message U_FM commerce",
  "button": [{"type": "MD", "name": "message body"}],
  "commerce" : {
    "title": "Brand message title",
    "regular_price": 100000,
    "discount_price": 90000,
    "discount_rate": 10,
    "discount_fixed": 90000
  },
  "image":{
    "img_url":"https://mud-kage.kakao.com/dn/c0In8v/btsHt1XNqdN/H7Ee9ajYyFN2oRnEYKLXnk/img_l.jpg"
  },
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) commerce (U_FM) and static type (BM type)

{
  "cid" : "UP-202502211663-00004",
  "sender_key" : "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BM",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FM",
  "sender_no": "[Sender phone number]",
  "template_code" : "39422517dc8a65ffe692c49bfcd9628f08abee43",
  "targeting": "I",
  "client_api_poll_yn" : "Y",
  "commerce":{
    "title": "U_FM BM",
    "regular_price": "77777",
    "discount_price": "2000",
    "discount_rate" :"10"
  },
  "button":[{"type":"WL"},{"type":"AL", "url_mobile":"https://www.daum.net"}
  ],
  "additional_content" :"Brand message commerce basic U_FM, BM type."
}

Video Request Elements The video property request elements within the brand message request are as follows.

Property Type Required Description
video_url text(500) O Kakao TV video URL
thumbnail_url text(500) O Image URL for video thumbnail registered with image upload API (Default : video default thumbnail image)

thumbnail_url field required 
video_url is a private video

코드예제Example of sending brand message(Freeform) video(U_FP) type (FY)

{
  "cid":"U_FA-202502171928-0035-FN",
  "message_type": "U_FP", //Premium video
  "sender_key":"[Sender profile key]",
  "phone_number":"[Receive phone number]",
  "fall_back_yn":false,
  "upgrade_tp" : "FY",
  "sender_no" :"[Sender phone number]",
  "message": "Brand message Premium video : freeform – send 1 message",
  "video" : {"video_url":"https://tv.kakao.com/channel/10135667/cliplink/451361691"},
  "button": [ {"type": "MD","name": "Message body" } ],
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Freeform) video(U_FP) and variables detachable type (BV type)

{
  "cid" : "UP-202502211638-00005",
  "sender_key": "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BV",
  "phone_number":"[Receive phone number]",
  "sender_no": "[Sender phone number]",
  "message_type": "U_FP",
  "message_variable":{"Header ":"Premium video"},
  "button_variable":{"iOSlink": "www.daum.net"},
  "template_code": "9e7d33e090a0598ff9d178f1bb652f51dd6a8e3d",
  "targeting":"I",
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Freeform) video(U_FP) and static type (BM type)

{
  "cid" : "UP-202502211643-00005",
  "sender_key": "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BM",
  "phone_number":"[Receive phone number]",
  "sender_no": "[Sender phone number]",
  "message_type": "U_FP",
  "header" : "U_FP basic static",
  "button":[
    {"type": "AL", "scheme_ios":"https://www.daum.net" }
  ],
  "video":{"video_url": "https://tv.kakao.com/channel/10135667/cliplink/451361691"},
  "template_code": "9e7d33e090a0598ff9d178f1bb652f51dd6a8e3d",
  "targeting":"I",
  "client_api_poll_yn": "Y"
}

FtItem Request Elements Request elements for receiving list items form FtItemInfo of Item property (FtItem type) in brand message request are as follows.

Property Type Required Description
List List<FtItemInfo> List of items

FtItemInfo Request Elements List property request elements within the FtItem Request request are as follows.
The item list set by FtItemInfois a detailed value that is sent to you when you send a message.

Property Type Required Description
title text Item title (Up to 1 new lines)
The 1st item – Up to 25 characters
The 2nd to 4th items – Up to 30 characters
Img_url text Image URL for video thumbnail registered with image upload API
url_mobile text(1000) URL to moved when clicked in the mobile environment
url_pc text(1000) URL to moved when clicked in the PC environment
scheme_android text(1000) Click to rum in mobile Android environment application custom scheme
scheme_Ios text(1000) Click to rum in mobile IOS environment application custom scheme

코드예제Example of sending brand message(Freeform) wide list(U_FL) type

{
  "cid":"U_FA-202502171928-0044-FN",
  "message_type": "U_FL",
  "sender_key":"[Sender profile key]",
  "phone_number":"[Receive phone number]",
  "fall_back_yn":false,
  "upgrade_tp" : "FY",
  "sender_no" :"[Sender phone number]",
  "client_api_poll_yn": "Y",
  "message": "Brand message FL wide list",
  "button": [{"type": "MD","name": "Message body"}],
  "header" : "Brand message item list header ",
  "item": {
    "list": [
      {
        "title":"title 1","img_url":"https://mud-kage.kakao.com/dn/c0In8v/btsHt1XNqdN/H7Ee9ajYyFN2oRnEYKLXnk/img_l.jpg",
        "scheme_android": "https://kakao.com",
        "scheme_ios":"https://kakao.com",
        "url_mobile":"https://kakao.com",
        "url_pc":"https://kakao.com"
      },
      {
        "title":" title 2","img_url":"https://mud-kage.kakao.com/dn/c0In8v/btsHt1XNqdN/H7Ee9ajYyFN2oRnEYKLXnk/img_l.jpg",
        "scheme_android": "https://kakao.com",
        "scheme_ios":"https://kakao.com",
        "url_mobile":"https://kakao.com",
      "url_pc":"https://kakao.com"
      },
      {
        "title":" title 3","img_url":"https://mud-kage.kakao.com/dn/c0In8v/btsHt1XNqdN/H7Ee9ajYyFN2oRnEYKLXnk/img_l.jpg",
        "scheme_android": "https://kakao.com",
        "scheme_ios":"https://kakao.com",
        "url_mobile":"https://kakao.com",
        "url_pc":"https://kakao.com"
      }
    ]
  }
}

코드예제Example of sending brand message(Basic) wide list(U_FL) and variables detachable (Custom parameter template) type (BV type)

{
  "cid" : "UP-202502211644-00004",
  "sender_key" : "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BV",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FL",
  "sender_no": "[Sender phone number]",
  "template_code" : "9ce8a145324d599f6bd547f142e01c4d2ddb35f4",
  "message_variable":{
    "Title 1" :"U_FL variations detachable",
    "Title 3" :"BV",
    "mobile_link": "dktechin.com"
  },
  "client_api_poll_yn": "Y",
  "targeting": "I"
}

코드예제Example of sending brand message(Basic) wide list(U_FL) and Static type (BM type)

{
  "cid" : "UP-202502211650-00004",
  "sender_key" : "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BM",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FL",
  "sender_no": "[Sender phone number]",
  "template_code" : "9ce8a145324d599f6bd547f142e01c4d2ddb35f4",
  "targeting": "I",
  "item":{"list":[{"title": "U_FL static"}, {},
    {"title" :"BM","url_mobile": "https://dktechin.com"}
  ]
  }
,"client_api_poll_yn": "Y"
}

head Request Elements Head Property Request Element in brand message request are as follows.

Property Type Required Description
header text(20) O Carousel intro header
Up to 20 characters (New line : Impossible)
content text(50) O Carousel intro content
Up to 50 characters (Up to 2 new lines)
image_url text O Carousel intro image URL registered with image upload API
url_mobile text(1000) URL to move when clicked in mobile environment
url_pc text(1000) URL to move when clicked in PC environment
scheme_android text(1000) Application custom scheme to run when mobile Android environment
scheme_ios text(1000) Application custom scheme to run when mobile IOS environment

tail Request Elements Tail Property Request Element in brand in brand message request are as follows.

Property Type Required Description
url_pc text(1000) URL to move when clicked in PC environment
url_mobile text(1000) O URL to move when clicked in mobile environment
scheme_ios text(1000) Application custom scheme to run when mobile IOS environment
scheme_android text(1000) Application custom scheme to run when mobile Android environment

carousel Request Elements Carousel Property Request Element in brand in brand message request are as follows.

Property Type Required Description
header text(20) Carousel list header
Up to 20 characters (New line: impossible)

Header field required
- message_type : U_FC

Header field not available
- message_type : U_FA
message text(180) Carousel list message
Up to 180 characters (Up to 2 new lines)

- message_type : required for U_FC
- message_type : Not available for U_FA
additional_content text(34) Carousel list additional information
Up to 34 Characters (Up to 1 new line)
- Not available of message_type is U_FC
attachment CarouselAttachment O Carousel item image and button information

carouselAttachment Request Elements Attachment Property Request Elements in carousel request are as follows.

Property Type Required Description
button List<CarouselButton> 1 minimun, 2maximum
- button
- Same parent button object
image CarouselImage O - Same parent image object
coupon Coupon - Same parent coupon object
commerce CarouselCommerce - Same parent commerce object

UpCarouselList Request Elements The variables type request elements of carousel variable property in the brand message sending request are as follows.

Property Type Required Description
message_variable Map<String, String> - Carousel commerce message variable
button_variable Map<String, String> - Carousel commerce button variable
image_variable Map<String, String> - Carousel commerce image variable
commerce_variable Map<String, String> - Carousel commerce variable
coupon_variable Map<String, String> - Carousel commerce coupon variable

Coupon Request Elements The coupon property request elements in the brand message sending request are as follows.

Property Type Required Description
title text O Coupon title
Available coupon title
- ${number}won discount coupon (Number: 1 ~ 99,999,999)
- ${number}% discount coupon (Number: 1 ~ 100)
- a discount coupon for shipping costs
- ${Up to 7 characters} free coupon
- ${Up to 7 characters } UP coupon
description text O Coupon Description
U_FW, U_FL, U_FP – Up to 18 characters (New line: impossible)
Besides that,-up to 12 characters (New line: impossible)
url_pc text(1000) URL to move when clicked in PC environment
url_mobile text(1000) URL to move when clicked in mobile environment
scheme_android text(1000) Application custom scheme to run when mobile Android environment
scheme_ios text(1000) Application custom scheme to run when mobile IOS environment

코드예제Example of sending brand message(Freeform) carousel commerce (U_FA) type

{
  "cid":"U_FA-202502171928-0054-FN",
  "message_type": "U_FA",
  "sender_key":"[Sender profile key]",
  "phone_number":"[Receive phone number]",
  "fall_back_yn":false,
  "upgrade_tp" : "FY",
  "sender_no" :"[Sender phone number]",
  "message": "Brand message U_FA carousel commerce ",
  "head" : {"header": "Carousel commerce intro header ",
    "content": " Carousel commerce intro content",
    "image_url": "https://mud-kage.kakao.com/dn/c0In8v/btsHt1XNqdN/H7Ee9ajYyFN2oRnEYKLXnk/img_l.jpg",
    "url_mobile": "https://kakao.com", "url_pc": "https://kakao.com", "scheme_android":"https://kakao.com", "scheme_ios":"https://kakao.com"
  },
  "tail" : {
    "url_pc":"https://kakao.com",
    "url_mobile":"https://kakao.com",
    "scheme_ios":"https://kakao.com",
    "scheme_android":"https://kakao.com"
  },
  "carousel" : [
    {
      "header": "FT_CAR_LIST1_HEADER",
      "message": "FT_CAR_LIST1_MESSAGE",
      "additional_content": "FT_CAR_LIST1_ADD_CONTENT",
      "attachment": {
        "button":[
          {
            "name": "1btn1",
            "type": "WL",
            "scheme_android": "https://kakao.com",
            "scheme_ios": "https://kakao.com",
            "url_mobile": "https://kakao.com",
            "url_pc":null
          },
          {
            "name": "1btn2",
            "type": "WL",
            "scheme_android": "https://kakao.com",
            "scheme_ios": "https://kakao.com",
            "url_mobile": "https://kakao.com",
            "url_pc":null
          }],
        "image":{ "img_url": "https://mud-kage.kakao.com/dn/c0In8v/btsHt1XNqdN/H7Ee9ajYyFN2oRnEYKLXnk/img_l.jpg", "img_link":null},
        "commerce": {
          "title": "CAR_LIST1_TITLE",
          "regular_price": 100000,
          "discount_price": 90000,
          "discount_rate": 10,
          "discount_fixed": 90000
        }
      }
    }
  ]
,"client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) carousel commerce (U_FA) and variables detachable(Custom parameter template) type(BV type)

{
  "cid" : "UP-202502211672-00004",
  "sender_key" : "[Sender]",
  "fall_back_yn":"false",
  "upgrade_tp":"BV",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FA",
  "sender_no": "[Sender phone number]",
  "template_code" : "c8b21b6391c7b6b494ef7f5f5f2fb331b11eeda6",
  "targeting": "I",
  "client_api_poll_yn" : "Y",
  "carousel_variable":[
    {
      "message_variable":
      {
        "header":"Carousel commerce header",
        "variable": "U_FA[BV]"
      }
    },
    {
      "message_variable":
      {
        "additional_info_variable":"test"
      },
      "commerce_variable":{
        "Product_name1":"test product",
        "A_normal_price":"10000",
        "A_discount_price":"8000",
        "discount rate":"20"
      }
    },
    {
      "commerce_variable":{
        " Product_name2": "test product2",
        "A_normal_price" : "20000",
        "A_discount_price " : "16000",
        "a_flat-rate_discount " : "16000"
      },
      "button_variable":{
        "mobile_link":"www.daum.net"
      }
    }
  ],
  "client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) carousel commerce (U_FA) and static type(BM type)

{
  "cid" : "UP-202502211670-00004",
  "sender_key" : "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BM",
  "phone_number":"[Receive phone number]",
  "message_type": "U_FA",
  "sender_no": "[Sender phone number]",
  "template_code" : "c8b21b6391c7b6b494ef7f5f5f2fb331b11eeda6",
  "targeting": "I",
  "client_api_poll_yn" : "Y",
  "head":{ "header":"Carousel commerce header","content" :"[test]\n This is a carousel commerce test for  brand message basic. (test)"},
  "carousel": [
    {
      "additional_content": "additional_content of 1st (test)",
      "attachment": {
        "commerce":{"title":"product1","regular_price":"10000","discount_price":"6000","discount_rate":"10"}
      }
    },
    {
      "attachment": {
        "commerce":{
          "title":"product2",
          "regular_price":"20000",
          "discount_price":"16000",
          "discount_fixed":"4000"
        },
        "button":[{"type":"WL", "url_mobile":"https://www.daum.net"}]
      }
    }
  ]
,"client_api_poll_yn": "Y"
}

코드예제Example of sending brand message(Basic) carousel feed (U_FC) and variables detachable(Custom parameter template) type(BV type)

{
  "cid" : "UP-202502211676-00007",
  "sender_key": "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BV",
  "phone_number":"[Receive phone number]",
  "sender_no": "[Sender phone number]",
  "message_type": "U_FC",
  "template_code": "ddd64baf1650e6eb896c10bb075de8064e442078",
  "carousel_variable":[
    {
    },
    {
      "message_variable":{"header2" : "carousel feed 2","variable" : "zoe"}
    }
  ],
  "clinet_poll_api_yn" :"Y",
  "targeting":"I"
}

코드예제Example of sending brand message(Basic) carousel feed (U_FC) and static type(BM type)

{
  "cid" : "UP-202502211673-00007",
  "sender_key": "[Sender profile key]",
  "fall_back_yn":"false",
  "upgrade_tp":"BM",
  "phone_number":"[Receive phone number]",
  "sender_no": "[Sender phone number]",
  "message_type": "U_FC",
  "template_code": "ddd64baf1650e6eb896c10bb075de8064e442078",
  "carousel" :[
    {
    },
    {
      "header": "Carousel feed"
    ,"message": "[test]\n This is carousel feed content2 test for brand message basic. (collin.23))"
    }
  ],
  "clinet_poll_api_yn" :"Y",
  "targeting":"I"
}

Responses Elements

Brand message sending result code
HTTP Code 메시지 Description
200 OK If the message sending result is successful.
- View sending results data structure for more information
201 Created No Content
401 Unauthorized No Content
403 Forbidden No Content
404 Not Found No Content
Sending result data structure IF HTTP Code value is 200, the message data structure sued is as follows.
Property Type Required Description
code String No Sending Message result code
uid String No Message Key Id
cid String No User define Key Id
result Result No Detail result information (For reference only)
- View sending results data structure for more information
Sending result data structure
Property Type Required Description
detail_code String No Detail result code (For reference only)
detail_message String No Detail result message (For reference only)
이 문서가 만족스러운 이유를 알려주세요.
이 문서에 아쉬운 점을 알려주세요.
평가해주셔서 감사합니다.

더 자세한 의견은 contact.dkt@kakaocorp.com 으로 제보해주세요.